<!-- 花火 -->
<?xml version="1.0" ?>
<!DOCTYPE bulletml SYSTEM "http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/bulletml.dtd">
<bulletml xmlns="http://www.asahi-net.or.jp/~cs8k-cyu/bulletml">
	<action label="top">
		<repeat>
			<times>8</times>
			<action>
				<repeat>
					<times>16 + $rank * 12</times>
					<action>
						<fire>
							<direction type="sequence">360 / (16 + $rank * 12)</direction>
							<speed>0.1</speed>
							<bulletRef label="down"></bulletRef>
						</fire>
					</action>
				</repeat>
			<wait>3</wait>			
			</action>
		</repeat>
		<vanish />
	</action>
	
	
	<bullet label="down">
		<action>
			<wait>50</wait>
			<changeSpeed>
				<speed>5 + $rank</speed>
				<term>25</term>
			</changeSpeed>

			<wait>25</wait>

			<changeSpeed>
				<speed>0.25 + $rank</speed>
				<term>70</term>
			</changeSpeed>

		</action>
	</bullet>
</bulletml>
